GNU bug report logs - #7787
23.2; wrong meaning for mouse-2 while in search mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Perry Wagle <wagle@HIDDEN>; Keywords: confirmed; dated Wed, 5 Jan 2011 06:54:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 7787 <at> debbugs.gnu.org:


Received: (at 7787) by debbugs.gnu.org; 13 Aug 2020 01:08:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 12 21:08:38 2020
Received: from localhost ([127.0.0.1]:46191 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k61jS-00044L-L1
	for submit <at> debbugs.gnu.org; Wed, 12 Aug 2020 21:08:38 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:46353)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1k61jR-00043n-6L
 for 7787 <at> debbugs.gnu.org; Wed, 12 Aug 2020 21:08:37 -0400
Received: from mail.gandi.net (m91-129-102-47.cust.tele2.ee [91.129.102.47])
 (Authenticated sender: juri@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id A2C48240007;
 Thu, 13 Aug 2020 01:08:29 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
Organization: LINKOV.NET
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN>
 <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN>
 <87blr41npz.fsf@HIDDEN>
 <ABCBD10D-F0ED-47CA-8045-7B60CC76C3D8@HIDDEN>
 <871rry3g2g.fsf@HIDDEN>
 <64FCE389-3139-4011-B06A-F8C220CCDBC9@HIDDEN>
 <87v9pa1wyr.fsf@HIDDEN> <87k15b9kip.fsf@HIDDEN>
 <CADwFkmmMR+HPuaG0nDmxPioJkweirofco1cf5UFbB6sfUDbW7Q@HIDDEN>
Date: Thu, 13 Aug 2020 02:53:16 +0300
In-Reply-To: <CADwFkmmMR+HPuaG0nDmxPioJkweirofco1cf5UFbB6sfUDbW7Q@HIDDEN>
 (Stefan Kangas's message of "Wed, 12 Aug 2020 14:50:32 -0700")
Message-ID: <87v9hngyp3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 7787
Cc: Perry Wagle <wagle@HIDDEN>, 7787 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>   0. emacs -Q
>   1. M-: (setq mouse-yank-at-point t) RET
>   2. double click any word to mark it
>   3. C-s
>   4. mouse-2 [with cursor still over the original window, not in
>      minibuffer]
>
>> I see that the existing implementation of isearch-mouse-2
>> allows yanking the selection when clicked in the echo area,
>> but when clicked in the buffer it goes into infinite recursion,
>> because isearch-mouse-2 calls itself again.
>
> This is what I see as well, on current master.

The problem is that 'key-binding' in 'isearch-mouse-2'

  (let ((overriding-terminal-local-map nil))
    (key-binding (this-command-keys-vector) t))

still returns the keybinding from 'overriding-terminal-local-map'
that contains isearch keybindings.  Something is wrong here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.

Message received at 7787 <at> debbugs.gnu.org:


Received: (at 7787) by debbugs.gnu.org; 12 Aug 2020 21:50:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 12 17:50:40 2020
Received: from localhost ([127.0.0.1]:45734 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5yds-0003y0-Fu
	for submit <at> debbugs.gnu.org; Wed, 12 Aug 2020 17:50:40 -0400
Received: from mail-yb1-f171.google.com ([209.85.219.171]:35355)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k5ydq-0003xn-Np
 for 7787 <at> debbugs.gnu.org; Wed, 12 Aug 2020 17:50:39 -0400
Received: by mail-yb1-f171.google.com with SMTP id y134so2189435yby.2
 for <7787 <at> debbugs.gnu.org>; Wed, 12 Aug 2020 14:50:38 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=LOGYzh49juz8leRFeaQcSH3znf3dDDzfS6wNMYIvdi4=;
 b=EK02nF0kAaZkkePN+GYs3z+ZK25lxEyQlUaUur6BLlJ3BfS60Vo71a70KrgOSFFeHo
 yszEwmLTnbaBGX0Y9VABjkAxkhsXk/HtGeplAG9SToXTt4PNxtRCI20ItWBYBEctGy06
 obJ/ham5lBeE2KTDFuQS+Vn4m8comvWG3UJX+71u+lYKBieXB08Pt6LEDwKUnN3auEaV
 cEJ1DC/E7aj79Um8ssp0OnTklAJzFgGcLw4INhzijBQUbtHvJp/6fGLnrsZPZJseFYcr
 PVfGeYR9gG++lKAOFc2ZnWImAJzpa9G0qSgeUw0Hnw9dXELV35s4OBRuY77jyXBZyW77
 K7Lg==
X-Gm-Message-State: AOAM532bwvqQhI3HrVzz7f6k+p7EKKWKIurfJIGe0O6yt18l1mg8Fps3
 D54bfhaowhr4+oPPzzqorLX6Yho58UfFRzm681U=
X-Google-Smtp-Source: ABdhPJxGrOB/idTknDIYJAu7QN2tGGJaphgMh1sM0MScTKcUISJtL7kPJDgH3vjffHtZUr9kJojko1oEHaBh8+G9lII=
X-Received: by 2002:a5b:508:: with SMTP id o8mr2342936ybp.43.1597269033175;
 Wed, 12 Aug 2020 14:50:33 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 12 Aug 2020 14:50:32 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87k15b9kip.fsf@HIDDEN>
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN>
 <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN> <87blr41npz.fsf@HIDDEN>
 <ABCBD10D-F0ED-47CA-8045-7B60CC76C3D8@HIDDEN> <871rry3g2g.fsf@HIDDEN>
 <64FCE389-3139-4011-B06A-F8C220CCDBC9@HIDDEN> <87v9pa1wyr.fsf@HIDDEN>
 <87k15b9kip.fsf@HIDDEN>
MIME-Version: 1.0
Date: Wed, 12 Aug 2020 14:50:32 -0700
Message-ID: <CADwFkmmMR+HPuaG0nDmxPioJkweirofco1cf5UFbB6sfUDbW7Q@HIDDEN>
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 7787
Cc: Perry Wagle <wagle@HIDDEN>, 7787 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> Stefan, could you please help to reproduce the issue.
> What are the necessary steps?

Sorry for not following up on this sooner.

  0. emacs -Q
  1. M-: (setq mouse-yank-at-point t) RET
  2. double click any word to mark it
  3. C-s
  4. mouse-2 [with cursor still over the original window, not in
     minibuffer]

> I see that the existing implementation of isearch-mouse-2
> allows yanking the selection when clicked in the echo area,
> but when clicked in the buffer it goes into infinite recursion,
> because isearch-mouse-2 calls itself again.

This is what I see as well, on current master.

Using 26.3, it yanks the text at point in the original buffer.

> Should it yank the selection when clicked in the buffer too?

That was the requested behaviour AFAIU, yes.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.

Message received at 7787 <at> debbugs.gnu.org:


Received: (at 7787) by debbugs.gnu.org; 29 Jan 2020 00:27:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 28 19:27:41 2020
Received: from localhost ([127.0.0.1]:33097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwbCm-0003gO-Ta
	for submit <at> debbugs.gnu.org; Tue, 28 Jan 2020 19:27:41 -0500
Received: from cadetblue.birch.relay.mailchannels.net ([23.83.209.28]:58870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iwbCk-0003gE-Lz
 for 7787 <at> debbugs.gnu.org; Tue, 28 Jan 2020 19:27:39 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 436762C16BF;
 Wed, 29 Jan 2020 00:27:36 +0000 (UTC)
Received: from pdx1-sub0-mail-a93.g.dreamhost.com
 (100-96-83-64.trex.outbound.svc.cluster.local [100.96.83.64])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id ACCF42C1198;
 Wed, 29 Jan 2020 00:27:35 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a93.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Wed, 29 Jan 2020 00:27:36 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Turn-Print: 006e7aca500996bc_1580257655932_1814681959
X-MC-Loop-Signature: 1580257655932:2682662268
X-MC-Ingress-Time: 1580257655932
Received: from pdx1-sub0-mail-a93.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a93.g.dreamhost.com (Postfix) with ESMTP id 4A418812C1;
 Tue, 28 Jan 2020 16:27:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=Lz01nlkYag4YiuYfJgwvQqmkCbI=; b=
 oIR50DrYO1+NE5L0IW8Kya0OIg7PC5WZeQYn7BNI0Dvj2fKqCFlEs/kVGS/mZFGS
 pM6fh8dyuAnZEIB0yRUQbRksZ5s5XMiaqCtSxVABP8omHvqSQ2A6C7RCu4Nvr/95
 B8aI4gKmOboVOla5JUenKPx2JPxssKs6sd4w/1FqBdI=
Received: from mail.jurta.org (m91-129-105-126.cust.tele2.ee [91.129.105.126])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a93.g.dreamhost.com (Postfix) with ESMTPSA id 571A58126F;
 Tue, 28 Jan 2020 16:27:27 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a93
From: Juri Linkov <juri@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN>
 <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN>
 <87blr41npz.fsf@HIDDEN>
 <ABCBD10D-F0ED-47CA-8045-7B60CC76C3D8@HIDDEN>
 <871rry3g2g.fsf@HIDDEN>
 <64FCE389-3139-4011-B06A-F8C220CCDBC9@HIDDEN>
 <87v9pa1wyr.fsf@HIDDEN>
Date: Wed, 29 Jan 2020 02:05:02 +0200
In-Reply-To: <87v9pa1wyr.fsf@HIDDEN> (Stefan Kangas's message of "Fri, 17
 Jan 2020 06:19:24 +0100")
Message-ID: <87k15b9kip.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrfeehgddugecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffufhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdehrdduvdeinecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdehrdduvdeipdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepshhtvghfrghnsehmrghrgihishhtrdhsvg
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 7787
Cc: Perry Wagle <wagle@HIDDEN>, 7787 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I realize now that I was trying the wrong thing, and I've been able to
> reproduce this on both Mac and GNU/Linux using GNU Emacs.

Stefan, could you please help to reproduce the issue.
What are the necessary steps?

I see that the existing implementation of isearch-mouse-2
allows yanking the selection when clicked in the echo area,
but when clicked in the buffer it goes into infinite recursion,
because isearch-mouse-2 calls itself again.

Should it yank the selection when clicked in the buffer too?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.

Message received at 7787 <at> debbugs.gnu.org:


Received: (at 7787) by debbugs.gnu.org; 20 Jan 2020 03:26:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 22:26:46 2020
Received: from localhost ([127.0.0.1]:44254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itNiA-00076Z-Di
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 22:26:46 -0500
Received: from pv50p00im-ztdg10011901.me.com ([17.58.6.50]:41135)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wagle@HIDDEN>) id 1itNi7-000764-9D
 for 7787 <at> debbugs.gnu.org; Sun, 19 Jan 2020 22:26:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mac.com; s=1a1hai;
 t=1579490797; bh=xwCFjfr+8zwrXJL93GoHViGpYpyUEWpabP5yHa1To8I=;
 h=Content-Type:Subject:From:Date:Message-Id:To;
 b=dt3vPuuDf6B2Di9P7bIUZO2aUWD5/aVBjzXS39H6EtQOnruzVBn/hdIMWk1iF+u2v
 ni86GOtMG/0JIuvap7c75fpu5B5O1Oxi47RTjOYk7zfkvGETswAot01x1f0kpHQNsD
 FV3NiKkqtp4ymVwGSySKU8ZLFDDUF7uLwSqkgK8WOR23e6zZ1TrXOreX1wOZZl1y41
 gp9VCmYnhuYGnDR77JPDS1gbh5gCfgxdChLS2N/lYAZITeQb2qK1slUCwgJ1SPYOZx
 zwp+DJ8zO0wAseHydX2mP4vAcIeB7NqpbXJI0d8DYGVHrr3Oy8qizF75Fd/oPI3/nY
 +zNl5KiEm3Kbw==
Received: from [10.0.0.207] (c-24-21-196-17.hsd1.or.comcast.net [24.21.196.17])
 by pv50p00im-ztdg10011901.me.com (Postfix) with ESMTPSA id 57CA58004FB;
 Mon, 20 Jan 2020 03:26:37 +0000 (UTC)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 13.0 \(3608.40.2.2.4\))
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
From: Perry Wagle <wagle@HIDDEN>
In-Reply-To: <875zh7nhlq.fsf@HIDDEN>
Date: Sun, 19 Jan 2020 19:26:36 -0800
Content-Transfer-Encoding: quoted-printable
Message-Id: <9CCF1F20-C921-4B55-8121-242A4BDD32F8@HIDDEN>
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN> <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN>
 <87blr41npz.fsf@HIDDEN> <ABCBD10D-F0ED-47CA-8045-7B60CC76C3D8@HIDDEN>
 <871rry3g2g.fsf@HIDDEN> <64FCE389-3139-4011-B06A-F8C220CCDBC9@HIDDEN>
 <87v9pa1wyr.fsf@HIDDEN> <9FEB6215-55A1-443E-A5E8-330937AA4000@HIDDEN>
 <20FA9FFB-A13D-4814-BB47-75F1CF1B9519@HIDDEN>
 <875zh7nhlq.fsf@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
X-Mailer: Apple Mail (2.3608.40.2.2.4)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:, ,
 definitions=2020-01-19_08:, , signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011 mlxscore=0
 mlxlogscore=624 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-1908290000 definitions=main-2001200027
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 7787
Cc: "Perry Wagle via Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>, 7787 <at> debbugs.gnu.org,
 Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

The only objections I=E2=80=99ve heard are from mouse-haters wanting to =
offer keyboard-only solutions and insisting the mouse was evil.

=E2=80=94 Perry

> On Jan 19, 2020, at 4:07 PM, Juri Linkov <juri@HIDDEN> wrote:
>=20
>>    This thread is very familiar:
>>    =
https://lists.gnu.org/archive/html/help-gnu-emacs/2011-11/msg00116.html
>=20
> There is another similar thread:
> https://lists.gnu.org/archive/html/emacs-devel/2019-05/msg00003.html
>=20
>> I think this code was the answer for me back then:
>>=20
>>> (defun isearch-mouse-2 (click)
>>> "..."
>>> (interactive "e")
>>> (isearch-yank-x-selection)
>>> (deactivate-mark t))
>=20
> Do you propose to add this to isearch.el?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jan 2020 03:26:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 22:26:44 2020
Received: from localhost ([127.0.0.1]:44252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itNi8-00076P-32
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 22:26:44 -0500
Received: from lists.gnu.org ([209.51.188.17]:36043)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wagle@HIDDEN>) id 1itNi6-00076B-MO
 for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 22:26:43 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52642)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <wagle@HIDDEN>) id 1itNi5-0007VY-IS
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jan 2020 22:26:42 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <wagle@HIDDEN>) id 1itNi4-0007wW-AP
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jan 2020 22:26:41 -0500
Received: from pv50p00im-ztdg10011901.me.com ([17.58.6.50]:41291)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <wagle@HIDDEN>) id 1itNi4-0007uy-4m
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jan 2020 22:26:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mac.com; s=1a1hai;
 t=1579490797; bh=xwCFjfr+8zwrXJL93GoHViGpYpyUEWpabP5yHa1To8I=;
 h=Content-Type:Subject:From:Date:Message-Id:To;
 b=dt3vPuuDf6B2Di9P7bIUZO2aUWD5/aVBjzXS39H6EtQOnruzVBn/hdIMWk1iF+u2v
 ni86GOtMG/0JIuvap7c75fpu5B5O1Oxi47RTjOYk7zfkvGETswAot01x1f0kpHQNsD
 FV3NiKkqtp4ymVwGSySKU8ZLFDDUF7uLwSqkgK8WOR23e6zZ1TrXOreX1wOZZl1y41
 gp9VCmYnhuYGnDR77JPDS1gbh5gCfgxdChLS2N/lYAZITeQb2qK1slUCwgJ1SPYOZx
 zwp+DJ8zO0wAseHydX2mP4vAcIeB7NqpbXJI0d8DYGVHrr3Oy8qizF75Fd/oPI3/nY
 +zNl5KiEm3Kbw==
Received: from [10.0.0.207] (c-24-21-196-17.hsd1.or.comcast.net [24.21.196.17])
 by pv50p00im-ztdg10011901.me.com (Postfix) with ESMTPSA id 57CA58004FB;
 Mon, 20 Jan 2020 03:26:37 +0000 (UTC)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 13.0 \(3608.40.2.2.4\))
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
From: Perry Wagle <wagle@HIDDEN>
In-Reply-To: <875zh7nhlq.fsf@HIDDEN>
Date: Sun, 19 Jan 2020 19:26:36 -0800
Content-Transfer-Encoding: quoted-printable
Message-Id: <9CCF1F20-C921-4B55-8121-242A4BDD32F8@HIDDEN>
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN> <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN>
 <87blr41npz.fsf@HIDDEN> <ABCBD10D-F0ED-47CA-8045-7B60CC76C3D8@HIDDEN>
 <871rry3g2g.fsf@HIDDEN> <64FCE389-3139-4011-B06A-F8C220CCDBC9@HIDDEN>
 <87v9pa1wyr.fsf@HIDDEN> <9FEB6215-55A1-443E-A5E8-330937AA4000@HIDDEN>
 <20FA9FFB-A13D-4814-BB47-75F1CF1B9519@HIDDEN>
 <875zh7nhlq.fsf@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
X-Mailer: Apple Mail (2.3608.40.2.2.4)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:, ,
 definitions=2020-01-19_08:, , signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011 mlxscore=0
 mlxlogscore=624 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-1908290000 definitions=main-2001200027
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 17.58.6.50
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: "Perry Wagle via Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>, 7787 <at> debbugs.gnu.org,
 Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

The only objections I=E2=80=99ve heard are from mouse-haters wanting to =
offer keyboard-only solutions and insisting the mouse was evil.

=E2=80=94 Perry

> On Jan 19, 2020, at 4:07 PM, Juri Linkov <juri@HIDDEN> wrote:
>=20
>>    This thread is very familiar:
>>    =
https://lists.gnu.org/archive/html/help-gnu-emacs/2011-11/msg00116.html
>=20
> There is another similar thread:
> https://lists.gnu.org/archive/html/emacs-devel/2019-05/msg00003.html
>=20
>> I think this code was the answer for me back then:
>>=20
>>> (defun isearch-mouse-2 (click)
>>> "..."
>>> (interactive "e")
>>> (isearch-yank-x-selection)
>>> (deactivate-mark t))
>=20
> Do you propose to add this to isearch.el?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.

Message received at 7787 <at> debbugs.gnu.org:


Received: (at 7787) by debbugs.gnu.org; 20 Jan 2020 00:42:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 19:42:23 2020
Received: from localhost ([127.0.0.1]:44173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itL95-0000zt-Kx
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 19:42:23 -0500
Received: from dog.birch.relay.mailchannels.net ([23.83.209.48]:58694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1itL92-0000zh-9q
 for 7787 <at> debbugs.gnu.org; Sun, 19 Jan 2020 19:42:21 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 007562C1E47;
 Mon, 20 Jan 2020 00:42:18 +0000 (UTC)
Received: from pdx1-sub0-mail-a96.g.dreamhost.com
 (100-96-85-39.trex.outbound.svc.cluster.local [100.96.85.39])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 31FC62C1E5E;
 Mon, 20 Jan 2020 00:42:17 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a96.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Mon, 20 Jan 2020 00:42:17 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Scare-Obese: 52b1d65140afb8d5_1579480937625_21577686
X-MC-Loop-Signature: 1579480937625:4216860506
X-MC-Ingress-Time: 1579480937624
Received: from pdx1-sub0-mail-a96.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a96.g.dreamhost.com (Postfix) with ESMTP id 478677F082;
 Sun, 19 Jan 2020 16:42:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=Ugv+I44ew+I8gORPmTvJyBMg47c=; b=
 S5voepj9HtR0OHkyobY1S78MojzScX4xVAsLf28/57i3L81EfoP/pdHj9/2gtlEb
 DTDxmWWRVSi9CIlhjPPM+scS+Z3aHOms9n+fb6tmwyeHXqBI3JEdWJ/fFFN2qEdP
 g4lB9z1zOKX0k6q5wxP44+1k/Qb6GwPFsa7Z0wjme4M=
Received: from mail.jurta.org (m91-129-103-201.cust.tele2.ee [91.129.103.201])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a96.g.dreamhost.com (Postfix) with ESMTPSA id 31FB97F07A;
 Sun, 19 Jan 2020 16:42:10 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a96
From: Juri Linkov <juri@HIDDEN>
To: Perry Wagle via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
Organization: LINKOV.NET
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN>
 <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN>
 <87blr41npz.fsf@HIDDEN>
 <ABCBD10D-F0ED-47CA-8045-7B60CC76C3D8@HIDDEN>
 <871rry3g2g.fsf@HIDDEN>
 <64FCE389-3139-4011-B06A-F8C220CCDBC9@HIDDEN>
 <87v9pa1wyr.fsf@HIDDEN>
 <9FEB6215-55A1-443E-A5E8-330937AA4000@HIDDEN>
 <20FA9FFB-A13D-4814-BB47-75F1CF1B9519@HIDDEN>
Date: Mon, 20 Jan 2020 02:07:05 +0200
In-Reply-To: <20FA9FFB-A13D-4814-BB47-75F1CF1B9519@HIDDEN> (Perry Wagle via's
 message of "Thu, 16 Jan 2020 21:46:02 -0800")
Message-ID: <875zh7nhlq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrudeggddvgecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecuffhomhgrihhnpehgnhhurdhorhhgnecukfhppeeluddruddvledruddtfedrvddtudenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdefrddvtddupdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepsghughdqghhnuhdqvghmrggtshesghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedt
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 7787
Cc: 7787 <at> debbugs.gnu.org, Perry Wagle <wagle@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>     This thread is very familiar:
>     https://lists.gnu.org/archive/html/help-gnu-emacs/2011-11/msg00116.html

There is another similar thread:
https://lists.gnu.org/archive/html/emacs-devel/2019-05/msg00003.html

> I think this code was the answer for me back then:
>
>> (defun isearch-mouse-2 (click)
>>  "..."
>>  (interactive "e")
>>  (isearch-yank-x-selection)
>>  (deactivate-mark t))

Do you propose to add this to isearch.el?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jan 2020 00:42:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 19:42:32 2020
Received: from localhost ([127.0.0.1]:44180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itL9D-00010c-O4
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 19:42:31 -0500
Received: from lists.gnu.org ([209.51.188.17]:59774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1itL99-00010E-P7
 for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 19:42:29 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:36767)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <juri@HIDDEN>) id 1itL95-0005sk-Gg
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jan 2020 19:42:26 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_NONE, 
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juri@HIDDEN>) id 1itL94-0007Aq-4V
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jan 2020 19:42:23 -0500
Received: from crocodile.birch.relay.mailchannels.net ([23.83.209.45]:19346)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <juri@HIDDEN>) id 1itL93-00075V-Pp
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jan 2020 19:42:22 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 007562C1E47;
 Mon, 20 Jan 2020 00:42:18 +0000 (UTC)
Received: from pdx1-sub0-mail-a96.g.dreamhost.com
 (100-96-85-39.trex.outbound.svc.cluster.local [100.96.85.39])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 31FC62C1E5E;
 Mon, 20 Jan 2020 00:42:17 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a96.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Mon, 20 Jan 2020 00:42:17 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Scare-Obese: 52b1d65140afb8d5_1579480937625_21577686
X-MC-Loop-Signature: 1579480937625:4216860506
X-MC-Ingress-Time: 1579480937624
Received: from pdx1-sub0-mail-a96.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a96.g.dreamhost.com (Postfix) with ESMTP id 478677F082;
 Sun, 19 Jan 2020 16:42:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=Ugv+I44ew+I8gORPmTvJyBMg47c=; b=
 S5voepj9HtR0OHkyobY1S78MojzScX4xVAsLf28/57i3L81EfoP/pdHj9/2gtlEb
 DTDxmWWRVSi9CIlhjPPM+scS+Z3aHOms9n+fb6tmwyeHXqBI3JEdWJ/fFFN2qEdP
 g4lB9z1zOKX0k6q5wxP44+1k/Qb6GwPFsa7Z0wjme4M=
Received: from mail.jurta.org (m91-129-103-201.cust.tele2.ee [91.129.103.201])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a96.g.dreamhost.com (Postfix) with ESMTPSA id 31FB97F07A;
 Sun, 19 Jan 2020 16:42:10 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a96
From: Juri Linkov <juri@HIDDEN>
To: Perry Wagle via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
Organization: LINKOV.NET
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN>
 <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN>
 <87blr41npz.fsf@HIDDEN>
 <ABCBD10D-F0ED-47CA-8045-7B60CC76C3D8@HIDDEN>
 <871rry3g2g.fsf@HIDDEN>
 <64FCE389-3139-4011-B06A-F8C220CCDBC9@HIDDEN>
 <87v9pa1wyr.fsf@HIDDEN>
 <9FEB6215-55A1-443E-A5E8-330937AA4000@HIDDEN>
 <20FA9FFB-A13D-4814-BB47-75F1CF1B9519@HIDDEN>
Date: Mon, 20 Jan 2020 02:07:05 +0200
In-Reply-To: <20FA9FFB-A13D-4814-BB47-75F1CF1B9519@HIDDEN> (Perry Wagle via's
 message of "Thu, 16 Jan 2020 21:46:02 -0800")
Message-ID: <875zh7nhlq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrudeggddvgecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecuffhomhgrihhnpehgnhhurdhorhhgnecukfhppeeluddruddvledruddtfedrvddtudenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdefrddvtddupdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepsghughdqghhnuhdqvghmrggtshesghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedt
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 23.83.209.45
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 7787 <at> debbugs.gnu.org, Perry Wagle <wagle@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

>     This thread is very familiar:
>     https://lists.gnu.org/archive/html/help-gnu-emacs/2011-11/msg00116.html

There is another similar thread:
https://lists.gnu.org/archive/html/emacs-devel/2019-05/msg00003.html

> I think this code was the answer for me back then:
>
>> (defun isearch-mouse-2 (click)
>>  "..."
>>  (interactive "e")
>>  (isearch-yank-x-selection)
>>  (deactivate-mark t))

Do you propose to add this to isearch.el?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 7787 <at> debbugs.gnu.org:


Received: (at 7787) by debbugs.gnu.org; 17 Jan 2020 05:46:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 00:46:15 2020
Received: from localhost ([127.0.0.1]:38759 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isKSU-0003ki-VG
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2020 00:46:15 -0500
Received: from pv50p00im-zteg10011501.me.com ([17.58.6.42]:59288)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wagle@HIDDEN>) id 1isKSP-0003kR-6O
 for 7787 <at> debbugs.gnu.org; Fri, 17 Jan 2020 00:46:12 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mac.com; s=1a1hai;
 t=1579239963; bh=JX1hJNRAybamuynHM0C566sB2oXFdcopSHuJetmdTHA=;
 h=From:Message-Id:Content-Type:Subject:Date:To;
 b=dHW0rR44/cDyBewgLDlfcI/a5YPnKYeNQl029ILcVzErDfc7seCYEC5jEu/yr7l2D
 Ggs26hEY1Hqt0NXBlFL7M+uOTZLDUFqBJKw1c8u57SPRxNfum9PHglFjgjzR4fQbY7
 0tMc5f6E5bxmwFRAWDelnzYXQn8fVUAt3eu/TBERt6QyvKxE2cGFbTugbVRaTEEPF+
 7KZNc6AYQQzhvQzn9SLOcr+f/5eP4iVVIsH74bWqvdHXlBqc2XVMNj2sJIZkOoBDl2
 GNS/t4ycwHRKQqLnlamh1h0lm4KkKC7qK752wdNCXQ90v1g2p8X4/FkSbey2B+rwzo
 QuG8F3eU4Zu0A==
Received: from [10.0.0.207] (c-24-21-196-17.hsd1.or.comcast.net [24.21.196.17])
 by pv50p00im-zteg10011501.me.com (Postfix) with ESMTPSA id 3087CB004F0;
 Fri, 17 Jan 2020 05:46:03 +0000 (UTC)
From: Perry Wagle <wagle@HIDDEN>
Message-Id: <20FA9FFB-A13D-4814-BB47-75F1CF1B9519@HIDDEN>
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_2E54CEDE-584D-415C-94D7-C61E0D6DD5B9"
Mime-Version: 1.0 (Mac OS X Mail 13.0 \(3608.40.2.2.4\))
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
Date: Thu, 16 Jan 2020 21:46:02 -0800
In-Reply-To: <9FEB6215-55A1-443E-A5E8-330937AA4000@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN> <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN>
 <87blr41npz.fsf@HIDDEN> <ABCBD10D-F0ED-47CA-8045-7B60CC76C3D8@HIDDEN>
 <871rry3g2g.fsf@HIDDEN> <64FCE389-3139-4011-B06A-F8C220CCDBC9@HIDDEN>
 <87v9pa1wyr.fsf@HIDDEN> <9FEB6215-55A1-443E-A5E8-330937AA4000@HIDDEN>
X-Mailer: Apple Mail (2.3608.40.2.2.4)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:, ,
 definitions=2020-01-16_06:, , signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015 mlxscore=0
 mlxlogscore=999 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-1908290000 definitions=main-2001170044
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 7787
Cc: 7787 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--Apple-Mail=_2E54CEDE-584D-415C-94D7-C61E0D6DD5B9
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

I think this code was the answer for me back then:

> (defun isearch-mouse-2 (click)
>  "..."
>  (interactive "e")
>  (isearch-yank-x-selection)
>  (deactivate-mark t))


> On Jan 16, 2020, at 9:40 PM, Perry Wagle <wagle@HIDDEN> wrote:
>=20
> This thread is very familiar:  =
https://lists.gnu.org/archive/html/help-gnu-emacs/2011-11/msg00116.html =
<https://lists.gnu.org/archive/html/help-gnu-emacs/2011-11/msg00116.html>
>=20
>=20
>> On Jan 16, 2020, at 9:19 PM, Stefan Kangas <stefan@HIDDEN =
<mailto:stefan@HIDDEN>> wrote:
>>=20
>> found 7787 26.3
>> found 7787 28.0.50
>> thanks
>>=20
>> Perry Wagle <wagle@HIDDEN <mailto:wagle@HIDDEN>> writes:
>>=20
>>> I have a Mac, so I use Aquamacs.  I have no idea how closely it =
tracks gnu emacs.
>>>=20
>>> I upgraded Aquamacs a few weeks ago, and I don=E2=80=99t see a =
number of customizations I=E2=80=99ve made over the years.
>>>=20
>>> Way back when, I made a customization to an .el file in the =
libraries that fixed the problem.  Since then, I am pretty sure I moved =
that customization to one of the zillions .emacs like files, but don=E2=80=
=99t see it anywhere.
>>>=20
>>> The problem was that I wanted to double click on a word (variable =
name etc), start a search, and middle mouse to paste that word into the =
search-for buffer.  Instead, it overrides the search and just pastes at =
the cursor.
>>>=20
>>> I tried to do what you asked in aquamacs, but it didn=E2=80=99t =
appear to do anything.
>>=20
>> Thank you, that makes things clearer.
>>=20
>> I realize now that I was trying the wrong thing, and I've been able =
to
>> reproduce this on both Mac and GNU/Linux using GNU Emacs.
>>=20
>> This problem seems to be specific to isearch, due to the way isearch
>> works.  isearch leaves point in the current buffer while searching,
>> which makes the yanked text go there instead of the input area even
>> when mouse-yank-at-point is t.
>>=20
>> Incidentally, there is currently a discussion about changing how
>> isearch works in this regard.  I would assume, but don't know for
>> certain, that such changes would also resolve this issue.
>>=20
>> https://lists.gnu.org/archive/html/emacs-devel/2020-01/msg00388.html =
<https://lists.gnu.org/archive/html/emacs-devel/2020-01/msg00388.html>
>>=20
>> Meanwhile, please send the changes you had to make to get this to
>> work, should you happen to find them.  Maybe they will be necessary
>> still, depending on the outcome of the above discussion.
>>=20
>> Best regards,
>> Stefan Kangas
>=20


--Apple-Mail=_2E54CEDE-584D-415C-94D7-C61E0D6DD5B9
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">I =
think this code was the answer for me back then:<div class=3D""><br =
class=3D""></div><div class=3D""><pre class=3D"">&gt;<i class=3D""> =
(defun isearch-mouse-2 (click)</i>
&gt;<i class=3D"">  "..."</i>
&gt;<i class=3D"">  (interactive "e")</i>
&gt;<i class=3D"">  (isearch-yank-x-selection)</i>
&gt;<i class=3D"">  (deactivate-mark t))</i></pre><div class=3D""><br =
class=3D""></div><div><br class=3D""><blockquote type=3D"cite" =
class=3D""><div class=3D"">On Jan 16, 2020, at 9:40 PM, Perry Wagle =
&lt;<a href=3D"mailto:wagle@HIDDEN" class=3D"">wagle@HIDDEN</a>&gt; =
wrote:</div><br class=3D"Apple-interchange-newline"><div class=3D""><meta =
http-equiv=3D"Content-Type" content=3D"text/html; charset=3Dutf-8" =
class=3D""><div style=3D"word-wrap: break-word; -webkit-nbsp-mode: =
space; line-break: after-white-space;" class=3D"">This thread is very =
familiar: &nbsp;<a =
href=3D"https://lists.gnu.org/archive/html/help-gnu-emacs/2011-11/msg00116=
.html" =
class=3D"">https://lists.gnu.org/archive/html/help-gnu-emacs/2011-11/msg00=
116.html</a><div class=3D""><br class=3D""><div class=3D""><br =
class=3D""><blockquote type=3D"cite" class=3D""><div class=3D"">On Jan =
16, 2020, at 9:19 PM, Stefan Kangas &lt;<a =
href=3D"mailto:stefan@HIDDEN" class=3D"">stefan@HIDDEN</a>&gt; =
wrote:</div><br class=3D"Apple-interchange-newline"><div class=3D""><div =
class=3D"">found 7787 26.3<br class=3D"">found 7787 28.0.50<br =
class=3D"">thanks<br class=3D""><br class=3D"">Perry Wagle &lt;<a =
href=3D"mailto:wagle@HIDDEN" class=3D"">wagle@HIDDEN</a>&gt; =
writes:<br class=3D""><br class=3D""><blockquote type=3D"cite" =
class=3D"">I have a Mac, so I use Aquamacs. &nbsp;I have no idea how =
closely it tracks gnu emacs.<br class=3D""><br class=3D"">I upgraded =
Aquamacs a few weeks ago, and I don=E2=80=99t see a number of =
customizations I=E2=80=99ve made over the years.<br class=3D""><br =
class=3D"">Way back when, I made a customization to an .el file in the =
libraries that fixed the problem. &nbsp;Since then, I am pretty sure I =
moved that customization to one of the zillions .emacs like files, but =
don=E2=80=99t see it anywhere.<br class=3D""><br class=3D"">The problem =
was that I wanted to double click on a word (variable name etc), start a =
search, and middle mouse to paste that word into the search-for buffer. =
&nbsp;Instead, it overrides the search and just pastes at the cursor.<br =
class=3D""><br class=3D"">I tried to do what you asked in aquamacs, but =
it didn=E2=80=99t appear to do anything.<br class=3D""></blockquote><br =
class=3D"">Thank you, that makes things clearer.<br class=3D""><br =
class=3D"">I realize now that I was trying the wrong thing, and I've =
been able to<br class=3D"">reproduce this on both Mac and GNU/Linux =
using GNU Emacs.<br class=3D""><br class=3D"">This problem seems to be =
specific to isearch, due to the way isearch<br class=3D"">works. =
&nbsp;isearch leaves point in the current buffer while searching,<br =
class=3D"">which makes the yanked text go there instead of the input =
area even<br class=3D"">when mouse-yank-at-point is t.<br class=3D""><br =
class=3D"">Incidentally, there is currently a discussion about changing =
how<br class=3D"">isearch works in this regard. &nbsp;I would assume, =
but don't know for<br class=3D"">certain, that such changes would also =
resolve this issue.<br class=3D""><br class=3D""><a =
href=3D"https://lists.gnu.org/archive/html/emacs-devel/2020-01/msg00388.ht=
ml" =
class=3D"">https://lists.gnu.org/archive/html/emacs-devel/2020-01/msg00388=
.html</a><br class=3D""><br class=3D"">Meanwhile, please send the =
changes you had to make to get this to<br class=3D"">work, should you =
happen to find them. &nbsp;Maybe they will be necessary<br =
class=3D"">still, depending on the outcome of the above discussion.<br =
class=3D""><br class=3D"">Best regards,<br class=3D"">Stefan Kangas<br =
class=3D""></div></div></blockquote></div><br =
class=3D""></div></div></div></blockquote></div><br =
class=3D""></div></body></html>=

--Apple-Mail=_2E54CEDE-584D-415C-94D7-C61E0D6DD5B9--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.

Message received at 7787 <at> debbugs.gnu.org:


Received: (at 7787) by debbugs.gnu.org; 17 Jan 2020 05:40:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 00:40:33 2020
Received: from localhost ([127.0.0.1]:38754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isKMz-0003bu-68
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2020 00:40:33 -0500
Received: from pv50p00im-zteg10011401.me.com ([17.58.6.41]:39444)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wagle@HIDDEN>) id 1isKMu-0003ba-Mt
 for 7787 <at> debbugs.gnu.org; Fri, 17 Jan 2020 00:40:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mac.com; s=1a1hai;
 t=1579239622; bh=SkqrRGA54l36dNbxxr1MN+OAqgoXdA0nv644pQudrTk=;
 h=From:Message-Id:Content-Type:Subject:Date:To;
 b=Z5RIFB1gSb4hXNxIy768ggdoycrWj8+IskoP47dx16KZuIdFOCdmrg5nXh57NkkFl
 y4WtTISTpP5KDvUD/+tdcCZsrn9Kg0R61FzctRltZRR0duA5zu3Ew4/yX71v+04Fru
 nLsyiNdf8CcUI6Gjf/VBDzLixvp6vv8AKpEE5wd+DiF7q0mP8ZNA4waIszpfZHorNe
 mHH0owzvuJ9rw/uFgint4TNT/WTatiBukBu++2G8y9GnuyRfKqFtA7Y9TjuVkUHiFu
 +Qr/NmGZ8UPJQrPpIqq3lA0PXBnRVnf9+SXBDkGHNTeSpCACrdCYrCf+qN/Ogbj6VU
 MLQuwualPhKfQ==
Received: from [10.0.0.207] (c-24-21-196-17.hsd1.or.comcast.net [24.21.196.17])
 by pv50p00im-zteg10011401.me.com (Postfix) with ESMTPSA id 621EE900AA2;
 Fri, 17 Jan 2020 05:40:22 +0000 (UTC)
From: Perry Wagle <wagle@HIDDEN>
Message-Id: <9FEB6215-55A1-443E-A5E8-330937AA4000@HIDDEN>
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_4C7D54A4-5965-4372-8657-A21E9E7F1E8F"
Mime-Version: 1.0 (Mac OS X Mail 13.0 \(3608.40.2.2.4\))
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
Date: Thu, 16 Jan 2020 21:40:21 -0800
In-Reply-To: <87v9pa1wyr.fsf@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN> <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN>
 <87blr41npz.fsf@HIDDEN> <ABCBD10D-F0ED-47CA-8045-7B60CC76C3D8@HIDDEN>
 <871rry3g2g.fsf@HIDDEN> <64FCE389-3139-4011-B06A-F8C220CCDBC9@HIDDEN>
 <87v9pa1wyr.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3608.40.2.2.4)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:, ,
 definitions=2020-01-16_06:, , signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015 mlxscore=0
 mlxlogscore=980 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-1908290000 definitions=main-2001170044
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 7787
Cc: 7787 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--Apple-Mail=_4C7D54A4-5965-4372-8657-A21E9E7F1E8F
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

This thread is very familiar:  =
https://lists.gnu.org/archive/html/help-gnu-emacs/2011-11/msg00116.html =
<https://lists.gnu.org/archive/html/help-gnu-emacs/2011-11/msg00116.html>


> On Jan 16, 2020, at 9:19 PM, Stefan Kangas <stefan@HIDDEN> wrote:
>=20
> found 7787 26.3
> found 7787 28.0.50
> thanks
>=20
> Perry Wagle <wagle@HIDDEN> writes:
>=20
>> I have a Mac, so I use Aquamacs.  I have no idea how closely it =
tracks gnu emacs.
>>=20
>> I upgraded Aquamacs a few weeks ago, and I don=E2=80=99t see a number =
of customizations I=E2=80=99ve made over the years.
>>=20
>> Way back when, I made a customization to an .el file in the libraries =
that fixed the problem.  Since then, I am pretty sure I moved that =
customization to one of the zillions .emacs like files, but don=E2=80=99t =
see it anywhere.
>>=20
>> The problem was that I wanted to double click on a word (variable =
name etc), start a search, and middle mouse to paste that word into the =
search-for buffer.  Instead, it overrides the search and just pastes at =
the cursor.
>>=20
>> I tried to do what you asked in aquamacs, but it didn=E2=80=99t =
appear to do anything.
>=20
> Thank you, that makes things clearer.
>=20
> I realize now that I was trying the wrong thing, and I've been able to
> reproduce this on both Mac and GNU/Linux using GNU Emacs.
>=20
> This problem seems to be specific to isearch, due to the way isearch
> works.  isearch leaves point in the current buffer while searching,
> which makes the yanked text go there instead of the input area even
> when mouse-yank-at-point is t.
>=20
> Incidentally, there is currently a discussion about changing how
> isearch works in this regard.  I would assume, but don't know for
> certain, that such changes would also resolve this issue.
>=20
> https://lists.gnu.org/archive/html/emacs-devel/2020-01/msg00388.html
>=20
> Meanwhile, please send the changes you had to make to get this to
> work, should you happen to find them.  Maybe they will be necessary
> still, depending on the outcome of the above discussion.
>=20
> Best regards,
> Stefan Kangas


--Apple-Mail=_4C7D54A4-5965-4372-8657-A21E9E7F1E8F
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">This =
thread is very familiar: &nbsp;<a =
href=3D"https://lists.gnu.org/archive/html/help-gnu-emacs/2011-11/msg00116=
.html" =
class=3D"">https://lists.gnu.org/archive/html/help-gnu-emacs/2011-11/msg00=
116.html</a><div class=3D""><br class=3D""><div><br class=3D""><blockquote=
 type=3D"cite" class=3D""><div class=3D"">On Jan 16, 2020, at 9:19 PM, =
Stefan Kangas &lt;<a href=3D"mailto:stefan@HIDDEN" =
class=3D"">stefan@HIDDEN</a>&gt; wrote:</div><br =
class=3D"Apple-interchange-newline"><div class=3D""><div class=3D"">found =
7787 26.3<br class=3D"">found 7787 28.0.50<br class=3D"">thanks<br =
class=3D""><br class=3D"">Perry Wagle &lt;<a href=3D"mailto:wagle@HIDDEN"=
 class=3D"">wagle@HIDDEN</a>&gt; writes:<br class=3D""><br =
class=3D""><blockquote type=3D"cite" class=3D"">I have a Mac, so I use =
Aquamacs. &nbsp;I have no idea how closely it tracks gnu emacs.<br =
class=3D""><br class=3D"">I upgraded Aquamacs a few weeks ago, and I =
don=E2=80=99t see a number of customizations I=E2=80=99ve made over the =
years.<br class=3D""><br class=3D"">Way back when, I made a =
customization to an .el file in the libraries that fixed the problem. =
&nbsp;Since then, I am pretty sure I moved that customization to one of =
the zillions .emacs like files, but don=E2=80=99t see it anywhere.<br =
class=3D""><br class=3D"">The problem was that I wanted to double click =
on a word (variable name etc), start a search, and middle mouse to paste =
that word into the search-for buffer. &nbsp;Instead, it overrides the =
search and just pastes at the cursor.<br class=3D""><br class=3D"">I =
tried to do what you asked in aquamacs, but it didn=E2=80=99t appear to =
do anything.<br class=3D""></blockquote><br class=3D"">Thank you, that =
makes things clearer.<br class=3D""><br class=3D"">I realize now that I =
was trying the wrong thing, and I've been able to<br class=3D"">reproduce =
this on both Mac and GNU/Linux using GNU Emacs.<br class=3D""><br =
class=3D"">This problem seems to be specific to isearch, due to the way =
isearch<br class=3D"">works. &nbsp;isearch leaves point in the current =
buffer while searching,<br class=3D"">which makes the yanked text go =
there instead of the input area even<br class=3D"">when =
mouse-yank-at-point is t.<br class=3D""><br class=3D"">Incidentally, =
there is currently a discussion about changing how<br class=3D"">isearch =
works in this regard. &nbsp;I would assume, but don't know for<br =
class=3D"">certain, that such changes would also resolve this issue.<br =
class=3D""><br class=3D""><a =
href=3D"https://lists.gnu.org/archive/html/emacs-devel/2020-01/msg00388.ht=
ml" =
class=3D"">https://lists.gnu.org/archive/html/emacs-devel/2020-01/msg00388=
.html</a><br class=3D""><br class=3D"">Meanwhile, please send the =
changes you had to make to get this to<br class=3D"">work, should you =
happen to find them. &nbsp;Maybe they will be necessary<br =
class=3D"">still, depending on the outcome of the above discussion.<br =
class=3D""><br class=3D"">Best regards,<br class=3D"">Stefan Kangas<br =
class=3D""></div></div></blockquote></div><br =
class=3D""></div></body></html>=

--Apple-Mail=_4C7D54A4-5965-4372-8657-A21E9E7F1E8F--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.
Severity set to 'minor' from 'wishlist' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 28.0.50. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 26.3. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 7787 <at> debbugs.gnu.org:


Received: (at 7787) by debbugs.gnu.org; 17 Jan 2020 05:19:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 00:19:36 2020
Received: from localhost ([127.0.0.1]:38736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isK2h-00014N-NB
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2020 00:19:35 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:34776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>)
 id 1isK2e-000145-IN; Fri, 17 Jan 2020 00:19:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:
 Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=brzkvCUhTfpnNOShJP3/4WEVe5b4YtdrMBtgtwTBBfk=; b=pZX7ChuOwg3+Bde50SQ5w7Krxx
 1YJdOJ+8iw26aYnw+at2ZFULNXuVURO9qvlrBXNYAyjXps3lWwrQAxiCFHmo3cdsdKS0wQ9M8iReD
 feO4w+KztLHAQJwTD+Vs27T/u0fnZsNH6624a45hMsuZa5rvObt1YIYB+F0NTXoIjOJlutkveQgbE
 44ARYMLZBK0Y/KPwvjzriUV1e84yQ0z9EHzwVogv866spxcK5+tJTWPGLieV+nKrd/PJBl7VrIiU5
 Q0nS324lGcyyEHVV3/kowq9SxtqyD8FVhbPLVNg4b7GMKun8SAUma5X9zugc/XlfXcxDbHOIh8suJ
 Jk6PTdgw==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:54040
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1isK2Y-001Vuv-AW; Fri, 17 Jan 2020 00:19:26 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Perry Wagle <wagle@HIDDEN>
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
In-Reply-To: <64FCE389-3139-4011-B06A-F8C220CCDBC9@HIDDEN> (Perry Wagle's
 message of "Thu, 16 Jan 2020 20:01:37 -0800")
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN>
 <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN>
 <87blr41npz.fsf@HIDDEN>
 <ABCBD10D-F0ED-47CA-8045-7B60CC76C3D8@HIDDEN>
 <871rry3g2g.fsf@HIDDEN>
 <64FCE389-3139-4011-B06A-F8C220CCDBC9@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Fri, 17 Jan 2020 06:19:24 +0100
Message-ID: <87v9pa1wyr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 7787
Cc: 7787 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

found 7787 26.3
found 7787 28.0.50
thanks

Perry Wagle <wagle@HIDDEN> writes:

> I have a Mac, so I use Aquamacs.  I have no idea how closely it tracks gn=
u emacs.
>
> I upgraded Aquamacs a few weeks ago, and I don=E2=80=99t see a number of =
customizations I=E2=80=99ve made over the years.
>
> Way back when, I made a customization to an .el file in the libraries tha=
t fixed the problem.  Since then, I am pretty sure I moved that customizati=
on to one of the zillions .emacs like files, but don=E2=80=99t see it anywh=
ere.
>
> The problem was that I wanted to double click on a word (variable name et=
c), start a search, and middle mouse to paste that word into the search-for=
 buffer.  Instead, it overrides the search and just pastes at the cursor.
>
> I tried to do what you asked in aquamacs, but it didn=E2=80=99t appear to=
 do anything.

Thank you, that makes things clearer.

I realize now that I was trying the wrong thing, and I've been able to
reproduce this on both Mac and GNU/Linux using GNU Emacs.

This problem seems to be specific to isearch, due to the way isearch
works.  isearch leaves point in the current buffer while searching,
which makes the yanked text go there instead of the input area even
when mouse-yank-at-point is t.

Incidentally, there is currently a discussion about changing how
isearch works in this regard.  I would assume, but don't know for
certain, that such changes would also resolve this issue.

https://lists.gnu.org/archive/html/emacs-devel/2020-01/msg00388.html

Meanwhile, please send the changes you had to make to get this to
work, should you happen to find them.  Maybe they will be necessary
still, depending on the outcome of the above discussion.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.

Message received at 7787 <at> debbugs.gnu.org:


Received: (at 7787) by debbugs.gnu.org; 17 Jan 2020 04:01:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 16 23:01:46 2020
Received: from localhost ([127.0.0.1]:38719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isIpO-0007ey-0X
	for submit <at> debbugs.gnu.org; Thu, 16 Jan 2020 23:01:46 -0500
Received: from pv50p00im-ztdg10021901.me.com ([17.58.6.55]:57797)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wagle@HIDDEN>) id 1isIpM-0007ek-83
 for 7787 <at> debbugs.gnu.org; Thu, 16 Jan 2020 23:01:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mac.com; s=1a1hai;
 t=1579233698; bh=M6wCF5AZWiEoCQhnpF72435nI5jMT1qLQLONhfb/BEU=;
 h=Content-Type:Subject:From:Date:Message-Id:To;
 b=aL90cSJz41eCJFhVGe73ZBzWZr+P6IrezFBwxYsnCCbS9GL0vAzr/euD3OO5buPdj
 6trn/aOrXqlcg/Ik4Y6GqAw/zQs2w2NPPuZPhCBUrlh364thoc2rxZ8CNtqpXJj+Vz
 fEEESe7MH7cj6IF1/2cWeMtVSnxiAibq5cAVujrEx58d/ldIGofiIlYXJx5Pfn2e+e
 YbjUYlfodblxkLFAXbZ8qztNoncMuQL+XdifCkWQLnB2o6jgJ9imsgwLzqoorb/adh
 7rdl+H7JP/+61+CDNpOi7T0PsYScLlww36sI/bAvWXOsBrxhA5OqsUdn1OECwVuwGi
 9GwTmYhHAavMA==
Received: from [10.0.0.207] (c-24-21-196-17.hsd1.or.comcast.net [24.21.196.17])
 by pv50p00im-ztdg10021901.me.com (Postfix) with ESMTPSA id 05DF488029A;
 Fri, 17 Jan 2020 04:01:37 +0000 (UTC)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 13.0 \(3608.40.2.2.4\))
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
From: Perry Wagle <wagle@HIDDEN>
In-Reply-To: <871rry3g2g.fsf@HIDDEN>
Date: Thu, 16 Jan 2020 20:01:37 -0800
Content-Transfer-Encoding: quoted-printable
Message-Id: <64FCE389-3139-4011-B06A-F8C220CCDBC9@HIDDEN>
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN> <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN>
 <87blr41npz.fsf@HIDDEN> <ABCBD10D-F0ED-47CA-8045-7B60CC76C3D8@HIDDEN>
 <871rry3g2g.fsf@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
X-Mailer: Apple Mail (2.3608.40.2.2.4)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:, ,
 definitions=2020-01-16_06:, , signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015 mlxscore=0
 mlxlogscore=862 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-1908290000 definitions=main-2001170029
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 7787
Cc: 7787 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

I have a Mac, so I use Aquamacs.  I have no idea how closely it tracks =
gnu emacs.

I upgraded Aquamacs a few weeks ago, and I don=E2=80=99t see a number of =
customizations I=E2=80=99ve made over the years.

Way back when, I made a customization to an .el file in the libraries =
that fixed the problem.  Since then, I am pretty sure I moved that =
customization to one of the zillions .emacs like files, but don=E2=80=99t =
see it anywhere.

The problem was that I wanted to double click on a word (variable name =
etc), start a search, and middle mouse to paste that word into the =
search-for buffer.  Instead, it overrides the search and just pastes at =
the cursor.

I tried to do what you asked in aquamacs, but it didn=E2=80=99t appear =
to do anything.

=E2=80=94 Perry

> On Jan 16, 2020, at 7:41 PM, Stefan Kangas <stefan@HIDDEN> wrote:
>=20
> Perry Wagle <wagle@HIDDEN> writes:
>=20
>> I=E2=80=99m using Aquamacs, which worked, apparently until I just =
recently
>> upgraded it, and it blew away a lot of my customizations.
>=20
> Could you please elaborate?  I'm a bit confused as to what you mean:
> Does that mean that this is no longer an issue?  Or that the issue was
> resolved but has now resurfaced?
>=20
> Best regards,
> Stefan Kangas





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.

Message received at 7787 <at> debbugs.gnu.org:


Received: (at 7787) by debbugs.gnu.org; 17 Jan 2020 03:41:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 16 22:41:39 2020
Received: from localhost ([127.0.0.1]:38714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isIVv-0007Bp-9R
	for submit <at> debbugs.gnu.org; Thu, 16 Jan 2020 22:41:39 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:56878)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1isIVs-0007Ba-Ey
 for 7787 <at> debbugs.gnu.org; Thu, 16 Jan 2020 22:41:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:
 Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=7EW+vIS4YSbQXPexaZHhL2tD31/V3+WDstRF/5Enl6c=; b=N6LTle+zpEtHw0z9yGJuBjddqC
 mOAwKEChHmGysSdYApZnuWLzXsaIJ3XtlP3ngsHlGWfuMXy48UOd1ABzEzpCsSpH+LVIXotLPC4zD
 j+dEtsEm+xUGa1bodG/7sifEUnGxklwjzXWRZaJ+Gop4QaynOc3cfjqo9UrwGLammRyK3o4VP290N
 K6Y/0CAJv+WzIGYjawz9BYgeTYmyYe0pLKFTWDjVotAmFYBAIK3EhYqb/f4+n85tGycYzICjmD/sv
 qCdN9UQWFdAbJzW/jVZPlkbMSJ+ny9kg1X29LovBMAew3OnjUuDTWETeN1E1oqVBD8ONt8Hcrqz22
 fscTkRDw==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:57110
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1isIVm-001Cwj-7S; Thu, 16 Jan 2020 22:41:30 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Perry Wagle <wagle@HIDDEN>
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
In-Reply-To: <ABCBD10D-F0ED-47CA-8045-7B60CC76C3D8@HIDDEN> (Perry Wagle's
 message of "Wed, 15 Jan 2020 13:06:29 -0800")
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN>
 <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN>
 <87blr41npz.fsf@HIDDEN>
 <ABCBD10D-F0ED-47CA-8045-7B60CC76C3D8@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Fri, 17 Jan 2020 04:41:27 +0100
Message-ID: <871rry3g2g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 7787
Cc: 7787 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Perry Wagle <wagle@HIDDEN> writes:

> I=E2=80=99m using Aquamacs, which worked, apparently until I just recently
> upgraded it, and it blew away a lot of my customizations.

Could you please elaborate?  I'm a bit confused as to what you mean:
Does that mean that this is no longer an issue?  Or that the issue was
resolved but has now resurfaced?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.

Message received at 7787 <at> debbugs.gnu.org:


Received: (at 7787) by debbugs.gnu.org; 15 Jan 2020 21:06:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 15 16:06:45 2020
Received: from localhost ([127.0.0.1]:35845 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irps9-0003zx-R9
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 16:06:45 -0500
Received: from pv50p00im-tydg10021701.me.com ([17.58.6.54]:55511)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wagle@HIDDEN>) id 1irps4-0003zg-0q
 for 7787 <at> debbugs.gnu.org; Wed, 15 Jan 2020 16:06:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mac.com; s=1a1hai;
 t=1579122390; bh=m4b0Wea0MZV02gmH5EyqmhKcbFDE/+nVvRzgXWOuBV0=;
 h=Content-Type:Subject:From:Date:Message-Id:To;
 b=slmptwo+F27edFmhDsZMHGO1s28Q2z7ZiLlArPPoPjTqzpbhsaHswSkUUrgh2u4I3
 FUZ8tjifVKhWPUf3Tx0kaL9NWOnPuBRP35MdEhskbWC9OWZI5AqKHE/xvecXhFTlSJ
 JqepEZMJbowXgQzBzDil3GxnDNV/cyDi2sGJ/u4BF34Q/OkcvhK7erRsMvzyh76jHz
 SiP7R1pbVM8LtY5LyHz1dS2PnTc74oONOA0s8fQZg9u2JnSoV/OL8SqiPyQCWPx3Qk
 Ye3tcCpsE2QhcBVGLh8IYoMG7n1v0sMZ12/48G0ri3pTIr5GKpm3HY2Iq5UMKqdVQk
 +vr9uOM/Zdk6g==
Received: from [10.0.0.207] (c-24-21-196-17.hsd1.or.comcast.net [24.21.196.17])
 by pv50p00im-tydg10021701.me.com (Postfix) with ESMTPSA id EDADD840F1C;
 Wed, 15 Jan 2020 21:06:29 +0000 (UTC)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 13.0 \(3608.40.2.2.4\))
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
From: Perry Wagle <wagle@HIDDEN>
In-Reply-To: <87blr41npz.fsf@HIDDEN>
Date: Wed, 15 Jan 2020 13:06:29 -0800
Content-Transfer-Encoding: quoted-printable
Message-Id: <ABCBD10D-F0ED-47CA-8045-7B60CC76C3D8@HIDDEN>
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN> <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN>
 <87blr41npz.fsf@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
X-Mailer: Apple Mail (2.3608.40.2.2.4)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:, ,
 definitions=2020-01-15_03:, , signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015 mlxscore=0
 mlxlogscore=821 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-1908290000 definitions=main-2001150160
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 7787
Cc: 7787 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

I=E2=80=99m using Aquamacs, which worked, apparently until I just =
recently upgraded it, and it blew away a lot of my customizations.

=E2=80=94 Perry

PS no -Q

> On Jan 15, 2020, at 12:14 PM, Stefan Kangas <stefan@HIDDEN> wrote:
>=20
> Perry Wagle <wagle@HIDDEN> writes:
>=20
>> Hi =E2=80=94
>=20
> Hi,
>=20
> Thanks for replying back so quickly.
>=20
>> I made some change to an .el file somewhere which fixed the problem.
>> Do you want me to track it down?
>=20
> Could you first please try the following with a recent version of =
Emacs:
>=20
> 1. Run    "emacs -Q"
> 2. Type   M-: (setq mouse-yank-at-point t) RET
>=20
> Then see if that solves the problem for you.  If it doesn't, I'm not
> sure I understand what the problem is.
>=20
> Best regards,
> Stefan Kangas





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.

Message received at 7787 <at> debbugs.gnu.org:


Received: (at 7787) by debbugs.gnu.org; 15 Jan 2020 20:14:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 15 15:14:44 2020
Received: from localhost ([127.0.0.1]:35632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irp3s-0002bJ-BN
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 15:14:44 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:42356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1irp3o-0002b4-0Q
 for 7787 <at> debbugs.gnu.org; Wed, 15 Jan 2020 15:14:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:
 Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=akz0+QyDXlUYZrQm9AnktGLpwKPSyDewC3SH7jGmdM0=; b=Qj9+uM/PkM6Qyg06PRUlDWF2St
 RkCP0Kx/S7sjjYj/rl0/mSm03lBwj56xf3baHq8Yomn/tSVtCd0eqf64dptJVdr0yFS2+eIfA9QYs
 7lYAVnt1fi+zYDop/WE0xCRCSjlDcPCdmf2vW8sJeWRZj6roQG4zcSdQANDXqABhCgtRG8QcuKVGM
 fFgHNYkuA7mcealSSAqZMrt5uDt45azNd9/RyBTKMZz/6YDZGr3/ET5QT/gRE0loqr1XJri1seGKj
 bDmMKivEr8Iofq16AP9z25Hm3LDDaBf1KdycAJEGtzybgHBw5T9IweNTbRl7vQ7Vo88k9DHZS+xN7
 aFhdbs+g==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:41740
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1irp3i-0001KK-4j; Wed, 15 Jan 2020 15:14:34 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Perry Wagle <wagle@HIDDEN>
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
In-Reply-To: <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN> (Perry Wagle's
 message of "Wed, 15 Jan 2020 12:03:54 -0800")
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN>
 <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Wed, 15 Jan 2020 21:14:32 +0100
Message-ID: <87blr41npz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 7787
Cc: 7787 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Perry Wagle <wagle@HIDDEN> writes:

> Hi =E2=80=94

Hi,

Thanks for replying back so quickly.

> I made some change to an .el file somewhere which fixed the problem.
> Do you want me to track it down?

Could you first please try the following with a recent version of Emacs:

1. Run    "emacs -Q"
2. Type   M-: (setq mouse-yank-at-point t) RET

Then see if that solves the problem for you.  If it doesn't, I'm not
sure I understand what the problem is.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.

Message received at 7787 <at> debbugs.gnu.org:


Received: (at 7787) by debbugs.gnu.org; 15 Jan 2020 20:04:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 15 15:04:11 2020
Received: from localhost ([127.0.0.1]:35623 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irota-0002MG-Ia
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 15:04:11 -0500
Received: from pv50p00im-ztdg10021901.me.com ([17.58.6.55]:41899)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wagle@HIDDEN>) id 1irotU-0002Lg-UM
 for 7787 <at> debbugs.gnu.org; Wed, 15 Jan 2020 15:04:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mac.com; s=1a1hai;
 t=1579118635; bh=zPCFUMsd/gYsYCVQ8J41CunJyL+Lw1H+3SzyzEIg+mU=;
 h=Content-Type:Subject:From:Date:Message-Id:To;
 b=o1FoKz6enLxIZLz0pV6NwBw3QMzeGTPcblr3dDiVHju65brHFQ/1qgYK0ofJCW/Bg
 ONq/fL/iYApsZxwkcDGAMYz57B835zmElG1UyvDO8LMTU53t224VFb5W1sT4MbS+W3
 HiDTeyP4V4lxsEfwTttFyRmTPA85vp53GhljQfqIJ+s7QIYSbS5ueE3oTQDO4FV5uy
 K9XCwQy+VzCM5nDk7tFn8SNlNY9LI1HTDGl5TxwyYFYl9DOFiHNQ85ljBkTKsrSkl3
 VfNqhDiQPAgyoMVVuHT637fd4+XnIVwoVsLsHf052eA06KyKBbuVH+vwt02yqWENeK
 b8OEXetvBzY/Q==
Received: from [10.0.0.207] (c-24-21-196-17.hsd1.or.comcast.net [24.21.196.17])
 by pv50p00im-ztdg10021901.me.com (Postfix) with ESMTPSA id EB2C8880362;
 Wed, 15 Jan 2020 20:03:54 +0000 (UTC)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 13.0 \(3608.40.2.2.4\))
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
From: Perry Wagle <wagle@HIDDEN>
In-Reply-To: <87wo9s1q0y.fsf@HIDDEN>
Date: Wed, 15 Jan 2020 12:03:54 -0800
Content-Transfer-Encoding: quoted-printable
Message-Id: <C0215AC9-9555-4038-972B-9E9D67E79FAE@HIDDEN>
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
 <87wo9s1q0y.fsf@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
X-Mailer: Apple Mail (2.3608.40.2.2.4)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:, ,
 definitions=2020-01-15_03:, , signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011 mlxscore=0
 mlxlogscore=999 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-1908290000 definitions=main-2001150153
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 7787
Cc: 7787 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi =E2=80=94

I made some change to an .el file somewhere which fixed the problem.  Do =
you want me to track it down?

=E2=80=94 Perry

> On Jan 15, 2020, at 11:24 AM, Stefan Kangas <stefan@HIDDEN> wrote:
>=20
> Perry Wagle <wagle@HIDDEN> writes:
>=20
>> In xemacs, if I double click on a word, the word is highlighted.  If
>> I then press control-s for search, and click the middle mouse button
>> *without moving the mouse*, I will paste that word into the search
>> string, and all is good.
>>=20
>> Emacs, on the other hand, does not support this idiom.  For some
>> reason, the middle mouse button *ABORTS* the search mode, and then
>> pastes the word under the mouse.  Why would you want that?
>>=20
>> This idiom alone has kept me using xemacs for over a decade.  I'd
>> like to switch to emacs now.
>>=20
>> Can I fix this easily with option-setting, or does it require me to
>> hack and add the correct behavior?
>=20
> This was reported 9 years ago but unfortunately never got a reply at
> the time.
>=20
> I think you should set mouse-yank-at-point to t to get the desired
> behaviour.  Could you please try that and see if that works for your
> use-case?
>=20
> Best regards,
> Stefan Kangas





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.

Message received at 7787 <at> debbugs.gnu.org:


Received: (at 7787) by debbugs.gnu.org; 15 Jan 2020 19:24:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 15 14:24:56 2020
Received: from localhost ([127.0.0.1]:35577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iroHf-0005rX-VH
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 14:24:56 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:34690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1iroHd-0005rE-32
 for 7787 <at> debbugs.gnu.org; Wed, 15 Jan 2020 14:24:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=OngV87LAYmzeavqQyS3xzTIivlReoH+y2Z4H8srsWtc=; b=YTJJe9DSM+CNQUR5FQ9aeymKZf
 9QaQvKeqsQHTbWWjff4kZg34Dio0WieKhzwxJnESy00abWcMIS4CV32BEcc0e4aLHmFgimbsd2Ip0
 7MMXzd4Oy7JV8hj2jWP5B1In8HnKBrknu/UVZKHoh9Q6asTTti73xb5NDQ4aw/pn17G1g3JXmMc5G
 ydJFKxhX9REbh0s/ZjCWrt8HJxfw3dWdi9UY2Qdm7gXTup9DhtjT34F+PnOVJE5I3Z9vkbfTK2C3M
 vwo6M6RIgB/SijY5uvq2SRfnpNj9U6WLaYKroR+TGkZ12gWXkXuDQw1AIPFnlzMfksdfYCca8aNY7
 et1kGhSQ==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:42284
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1iroHX-001jet-5C; Wed, 15 Jan 2020 14:24:47 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Perry Wagle <wagle@HIDDEN>
Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode
In-Reply-To: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN> (Perry Wagle's
 message of "Tue, 04 Jan 2011 22:05:10 -0800")
References: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Wed, 15 Jan 2020 20:24:45 +0100
Message-ID: <87wo9s1q0y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 7787
Cc: 7787 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Perry Wagle <wagle@HIDDEN> writes:

> In xemacs, if I double click on a word, the word is highlighted.  If
> I then press control-s for search, and click the middle mouse button
> *without moving the mouse*, I will paste that word into the search
> string, and all is good.
>
> Emacs, on the other hand, does not support this idiom.  For some
> reason, the middle mouse button *ABORTS* the search mode, and then
> pastes the word under the mouse.  Why would you want that?
>
> This idiom alone has kept me using xemacs for over a decade.  I'd
> like to switch to emacs now.
>
> Can I fix this easily with option-setting, or does it require me to
> hack and add the correct behavior?

This was reported 9 years ago but unfortunately never got a reply at
the time.

I think you should set mouse-yank-at-point to t to get the desired
behaviour.  Could you please try that and see if that works for your
use-case?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jan 2011 06:53:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 05 01:53:43 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PaNFf-000162-1N
	for submit <at> debbugs.gnu.org; Wed, 05 Jan 2011 01:53:43 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <wagle@HIDDEN>) id 1PaMPX-0008PU-Ed
	for submit <at> debbugs.gnu.org; Wed, 05 Jan 2011 00:59:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <wagle@HIDDEN>) id 1PaMVq-0000Oy-Io
	for submit <at> debbugs.gnu.org; Wed, 05 Jan 2011 01:07:02 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_NONE,T_RP_MATCHES_RCVD,T_TO_NO_BRKTS_FREEMAIL
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:54662)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <wagle@HIDDEN>) id 1PaMVq-0000Op-GU
	for submit <at> debbugs.gnu.org; Wed, 05 Jan 2011 01:06:22 -0500
Received: from [140.186.70.92] (port=33238 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PaMVA-0001IN-OW
	for bug-gnu-emacs@HIDDEN; Wed, 05 Jan 2011 01:06:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <wagle@HIDDEN>) id 1PaMUl-0007xA-FM
	for bug-gnu-emacs@HIDDEN; Wed, 05 Jan 2011 01:05:38 -0500
Received: from asmtpout027.mac.com ([17.148.16.102]:40926)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <wagle@HIDDEN>) id 1PaMUl-0007tI-4N
	for bug-gnu-emacs@HIDDEN; Wed, 05 Jan 2011 01:05:15 -0500
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain; CHARSET=US-ASCII
Received: from tuple.home
	(pool-173-50-157-237.ptldor.fios.verizon.net [173.50.157.237])
	by asmtp027.mac.com
	(Oracle Communications Messaging Exchange Server 7u4-18.01 64bit (built
	Jul 15 2010)) with ESMTPSA id <0LEJ006N0CWMA090@HIDDEN> for
	bug-gnu-emacs@HIDDEN; Tue, 04 Jan 2011 22:05:11 -0800 (PST)
X-Proofpoint-Virus-Version: vendor=fsecure
	engine=2.50.10432:5.2.15,1.0.148,0.0.0000
	definitions=2011-01-05_03:2011-01-05, 2011-01-05,
	1970-01-01 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
	ipscore=0 suspectscore=4 phishscore=0 bulkscore=0 adultscore=0
	classifier=spam
	adjust=0 reason=mlx engine=6.0.2-1010190000 definitions=main-1101040159
From: Perry Wagle <wagle@HIDDEN>
Subject: 23.2; wrong meaning for mouse-2 while in search mode
Date: Tue, 04 Jan 2011 22:05:10 -0800
Message-id: <4433B297-FA8A-4172-8CAF-9E9C65760116@HIDDEN>
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.1082)
X-detected-operating-system: by eggs.gnu.org: Solaris 10 (1203?)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 05 Jan 2011 01:53:42 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)

In xemacs, if I double click on a word, the word is highlighted.  If I then press control-s for search, and click the middle mouse button *without moving the mouse*, I will paste that word into the search string, and all is good.

Emacs, on the other hand, does not support this idiom.  For some reason, the middle mouse button *ABORTS* the search mode, and then pastes the word under the mouse.  Why would you want that?

This idiom alone has kept me using xemacs for over a decade.  I'd like to switch to emacs now.

Can I fix this easily with option-setting, or does it require me to hack and add the correct behavior?

---

In GNU Emacs 23.2.1 (x86_64-apple-darwin, NS apple-appkit-1038.29)
of 2010-05-08 on black.local
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--host=x86_64-apple-darwin' '--build=i686-apple-darwin' '--with-ns' 'build_alias=i686-apple-darwin' 'host_alias=x86_64-apple-darwin' 'CC=gcc -mmacosx-version-min=10.5''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<escape> x r e p o SPC r t SPC e SPC SPC <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort mail-extr message ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
hex-util hashcash mail-utils emacsbug help-mode view tooltip ediff-hook
vc-hooks lisp-float-type mwheel ns-win easymenu tool-bar dnd fontset
image fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mldrag mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev loaddefs button minibuffer faces cus-face files
text-properties overlay md5 base64 format env code-pages mule custom
widget hashtable-print-readable backquote make-network-process ns
multi-tty emacs)




Acknowledgement sent to Perry Wagle <wagle@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7787; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 13 Aug 2020 01:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.